# -*- encoding: utf-8 -*-
# stub: directory_watcher 1.5.1 ruby lib

Gem::Specification.new do |s|
  s.name = "directory_watcher".freeze
  s.version = "1.5.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tim Pease".freeze, "Jeremy Hinegardner".freeze]
  s.date = "2018-12-23"
  s.description = "The directory watcher operates by scanning a directory at some interval and\ngenerating a list of files based on a user supplied glob pattern. As the file\nlist changes from one interval to the next, events are generated and\ndispatched to registered observers. Three types of events are supported --\nadded, modified, and removed.".freeze
  s.email = "tim.pease@gmail.com".freeze
  s.extra_rdoc_files = ["History.txt".freeze, "README.txt".freeze]
  s.files = [".gitignore".freeze, "History.txt".freeze, "README.txt".freeze, "Rakefile".freeze, "lib/directory_watcher.rb".freeze, "lib/directory_watcher/collector.rb".freeze, "lib/directory_watcher/configuration.rb".freeze, "lib/directory_watcher/coolio_scanner.rb".freeze, "lib/directory_watcher/em_scanner.rb".freeze, "lib/directory_watcher/event.rb".freeze, "lib/directory_watcher/eventable_scanner.rb".freeze, "lib/directory_watcher/file_stat.rb".freeze, "lib/directory_watcher/logable.rb".freeze, "lib/directory_watcher/notifier.rb".freeze, "lib/directory_watcher/paths.rb".freeze, "lib/directory_watcher/rev_scanner.rb".freeze, "lib/directory_watcher/scan.rb".freeze, "lib/directory_watcher/scan_and_queue.rb".freeze, "lib/directory_watcher/scanner.rb".freeze, "lib/directory_watcher/threaded.rb".freeze, "lib/directory_watcher/version.rb".freeze, "spec/directory_watcher_spec.rb".freeze, "spec/paths_spec.rb".freeze, "spec/scanner_scenarios.rb".freeze, "spec/spec_helper.rb".freeze, "spec/utility_classes.rb".freeze, "version.txt".freeze]
  s.homepage = "http://rubygems.org/gems/directory_watcher".freeze
  s.rdoc_options = ["--main".freeze, "README.txt".freeze]
  s.rubygems_version = "3.1.2".freeze
  s.summary = "A class for watching files within a directory and generating events when those files change".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rev>.freeze, [">= 0.3.2"])
    s.add_development_dependency(%q<eventmachine>.freeze, [">= 1.0.3"])
    s.add_development_dependency(%q<cool.io>.freeze, [">= 1.1.0"])
    s.add_development_dependency(%q<bones-git>.freeze, ["~> 1.2.4"])
    s.add_development_dependency(%q<bones-rspec>.freeze, ["~> 2.0.1"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 2.7.0"])
    s.add_development_dependency(%q<logging>.freeze, ["~> 1.6.1"])
    s.add_development_dependency(%q<bones>.freeze, [">= 3.8.0"])
  else
    s.add_dependency(%q<rev>.freeze, [">= 0.3.2"])
    s.add_dependency(%q<eventmachine>.freeze, [">= 1.0.3"])
    s.add_dependency(%q<cool.io>.freeze, [">= 1.1.0"])
    s.add_dependency(%q<bones-git>.freeze, ["~> 1.2.4"])
    s.add_dependency(%q<bones-rspec>.freeze, ["~> 2.0.1"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.7.0"])
    s.add_dependency(%q<logging>.freeze, ["~> 1.6.1"])
    s.add_dependency(%q<bones>.freeze, [">= 3.8.0"])
  end
end
